@ECHO off
color 99
ECHO.
ECHO                     ------------------------------------------
ECHO                     *  3DS AUTOFIRM - WWW.REBOOT.MS EDITION  *
ECHO                     ------------------------------------------
ECHO.                                Lonlykids Translate
ECHO.
ECHO    使用方法:
ECHO.
ECHO  - 备份好的NAND.Bin文件需要放在autofirm_Reboot_11.1目录下
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO  - 当你准备好了就按下随意一个键继续
ECHO.
pause
cls
ECHO.
ECHO                     ------------------------------------------
ECHO                     *  3DS AUTOFIRM - WWW.REBOOT.MS EDITION  *
ECHO                     ------------------------------------------
ECHO.                                Lonlykids Translate
ECHO.
ECHO    请选择你的机型:
ECHO.
ECHO  1)  老3 或者 2DS
ECHO.
ECHO  2)  新3
ECHO.    
ECHO.    输入对应序号后回车即可
ECHO.      
SET /p option= 你的选择是:

if %option%==1  ( goto old3ds )
if %option%==2  ( goto new3ds )
:old3ds
cls
ECHO.
ECHO                     ------------------------------------------
ECHO                     *  3DS AUTOFIRM - WWW.REBOOT.MS EDITION  *
ECHO                     ------------------------------------------
ECHO.                                Lonlykids Translate
ECHO    你选择了老三
ECHO    请选择你当前的系统版本
ECHO.
ECHO  1) 11.0
ECHO.
ECHO  2) 11.1
ECHO.    
ECHO.   输入对应序号后回车即可
ECHO.      
SET /p option= 你的选择是:

if %option%==1  ( goto old3ds110 )
if %option%==2  ( goto old3ds111 )
:old3ds110
cls
ECHO I'm creating a backup copy of the nand.bin file...
copy nand.bin backup_nand.bin
ECHO Done.
3DSFirm.exe -d nand.bin firm0.bin firm1.bin
ctrtool.exe --contents=content1 "o3DS 11.0.cia"
rename content1* content1
ctrtool.exe --contents=content2 "o3DS 10.4.cia"
rename content2* content2
ctrtool.exe --exefsdir=exefsoriginale content1
ctrtool.exe --exefsdir=exefsnuovo content2
xor firm0.bin ./exefsoriginale/firm.bin
xor firm0.bin.out ./exefsnuovo/firm.bin
xor firm1.bin ./exefsoriginale/firm.bin
xor firm1.bin.out ./exefsnuovo/firm.bin
rename firm0.bin.out.out firm0nuovo.bin
rename firm1.bin.out.out firm1nuovo.bin
3DSFirm.exe -i nand.bin firm0nuovo.bin firm1nuovo.bin
del content*
del *.out
goto end
:old3ds111
cls
ECHO I'm creating a backup copy of the nand.bin file...
copy nand.bin backup_nand.bin
ECHO Done.
3DSFirm.exe -d nand.bin firm0.bin firm1.bin
ctrtool.exe --contents=content1 "o3DS 11.1.cia"
rename content1* content1
ctrtool.exe --contents=content2 "o3DS 10.4.cia"
rename content2* content2
ctrtool.exe --exefsdir=exefsoriginale content1
ctrtool.exe --exefsdir=exefsnuovo content2
xor firm0.bin ./exefsoriginale/firm.bin
xor firm0.bin.out ./exefsnuovo/firm.bin
xor firm1.bin ./exefsoriginale/firm.bin
xor firm1.bin.out ./exefsnuovo/firm.bin
rename firm0.bin.out.out firm0nuovo.bin
rename firm1.bin.out.out firm1nuovo.bin
3DSFirm.exe -i nand.bin firm0nuovo.bin firm1nuovo.bin
del content*
del *.out
goto end
:new3ds
cls
ECHO.
ECHO                     ------------------------------------------
ECHO                     *  3DS AUTOFIRM - WWW.REBOOT.MS EDITION  *
ECHO                     ------------------------------------------
ECHO.                                Lonlykids Translate
ECHO    你选择了新三
ECHO    请选择你当前的系统版本
ECHO.
ECHO  1) 11.0
ECHO.
ECHO  2) 11.1
ECHO.    
ECHO.   输入对应序号后回车即可
ECHO.      
SET /p option= 你的选择是:

if %option%==1  ( goto new3ds110 )
if %option%==2  ( goto new3ds111 )
:new3ds110
cls
ECHO I'm creating a backup copy of the nand.bin file...
copy nand.bin backup_nand.bin
ECHO Done.
3DSFirm.exe -d nand.bin firm0.bin firm1.bin
ctrtool.exe --contents=content1 "n3DS 11.0.cia"
rename content1* content1
ctrtool.exe --contents=content2 "n3DS 10.4.cia"
rename content2* content2
ctrtool.exe --exefsdir=exefsoriginale content1
ctrtool.exe --exefsdir=exefsnuovo content2
xor firm0.bin ./exefsoriginale/firm.bin
xor firm0.bin.out ./exefsnuovo/firm.bin
xor firm1.bin ./exefsoriginale/firm.bin
xor firm1.bin.out ./exefsnuovo/firm.bin
rename firm0.bin.out.out firm0nuovo.bin
rename firm1.bin.out.out firm1nuovo.bin
3DSFirm.exe -i nand.bin firm0nuovo.bin firm1nuovo.bin
del content*
del *.out
goto end
:new3ds111
cls
ECHO I'm creating a backup copy of the nand.bin file...
copy nand.bin backup_nand.bin
ECHO Done.
3DSFirm.exe -d nand.bin firm0.bin firm1.bin
ctrtool.exe --contents=content1 "n3DS 11.1.cia"
rename content1* content1
ctrtool.exe --contents=content2 "n3DS 10.4.cia"
rename content2* content2
ctrtool.exe --exefsdir=exefsoriginale content1
ctrtool.exe --exefsdir=exefsnuovo content2
xor firm0.bin ./exefsoriginale/firm.bin
xor firm0.bin.out ./exefsnuovo/firm.bin
xor firm1.bin ./exefsoriginale/firm.bin
xor firm1.bin.out ./exefsnuovo/firm.bin
rename firm0.bin.out.out firm0nuovo.bin
rename firm1.bin.out.out firm1nuovo.bin
3DSFirm.exe -i nand.bin firm0nuovo.bin firm1nuovo.bin
del content*
del *.out
goto end
:end
cls
ECHO.
ECHO                     ------------------------------------------
ECHO                     *  3DS AUTOFIRM - WWW.REBOOT.MS EDITION  *
ECHO                     ------------------------------------------
ECHO.                                Lonlykids Translate
ECHO.
ECHO    打好补丁NAND.Bin文件已经生成
ECHO    请先复制backup_nand.bin到安全的地方,然后通过硬刷手段刷进3DS
ECHO.
ECHO    如果刷进去后发现不能启动或者蓝屏,请刷回backup_nand.bin这个备份
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO    Lonlykids
pause

